# Function cif::pdb::get_SOURCE_line

- Defined in File pdb.hpp

## Function Documentation

std::string cif::pdb::get_SOURCE_line(const datablock &data, std::string::size_type truncate_at = 127)

  Return the SOURCE line for the data in data.

  The line returned should be compatible with the legacy PDB format and is e.g. used in the DSSP program.

  Parameters:

    - data – The datablock to use as source for the requested data

    - truncate_at – The maximum length of the line returned